Package net.sf.robocode.io

# Class RobocodeProperties

java.lang.Object
net.sf.robocode.io.RobocodeProperties

public final class RobocodeProperties extends Object
Utility class for convenient access to Robocode system wide properties.

Author:
  Flemming N. Larsen (original)

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`isDebuggingOff()`
Checks if debugging is disabled.
`static boolean`
`isDebuggingOn()`
Checks if debugging is enabled.
`static boolean`
`isSecurityOff()`
Checks if security is off, i.e.
`static boolean`
`isSecurityOn()`
Checks if security is on, i.e.
`static boolean`
`isTestingOff()`
Checks if testing is disabled.
`static boolean`
`isTestingOn()`
Checks if testing is enabled.
`static void`
`setTesting(boolean enabled)`
Sets the testing flag.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### isSecurityOff

public static boolean isSecurityOff()
Checks if security is off, i.e. that the `NOSECURITY` property has been set to `true`.

Returns:
  true if security is disabled; false if security is enabled.

### isSecurityOn

public static boolean isSecurityOn()
Checks if security is on, i.e. that the `NOSECURITY` property has been set to `false` or not defined at all.

Returns:
  true if security is enabled; false if security is disabled.

### isDebuggingOff

public static boolean isDebuggingOff()
Checks if debugging is disabled.

Returns:
  true if debugging is disabled; false is debugging is enabled.

### isDebuggingOn

public static boolean isDebuggingOn()
Checks if debugging is enabled.

Returns:
  true if debugging is enabled; false is debugging is disabled.

### setTesting

public static void setTesting(boolean enabled)
Sets the testing flag.

Parameters:
  `enabled` - true if testing is being enabled; false if testing is being disabled.

### isTestingOff

public static boolean isTestingOff()
Checks if testing is disabled.

Returns:
  true if testing is disabled; false is testing is enabled.

### isTestingOn

public static boolean isTestingOn()
Checks if testing is enabled.

Returns:
  true if testing is enabled; false is testing is disabled.